# Release Notes for HI - Helix Installer

## Introduction

This document describes changes to the Helix Installer.

## Change History

**2019/07/23**: HelixInstaller/MultiArch/2019.3/25869 (2019/07/23):
* https://swarm.workshop.perforce.com/jobs/HI-13
* https://swarm.workshop.perforce.com/jobs/HI-16

**2019/07/11**: HelixInstaller/MultiArch/2019.3/25820 (2019/07/11):

* https://swarm.workshop.perforce.com/jobs/HI-15
* https://swarm.workshop.perforce.com/jobs/HI-14
* https://swarm.workshop.perforce.com/jobs/HI-12
* https://swarm.workshop.perforce.com/jobs/HI-11
* https://swarm.workshop.perforce.com/jobs/HI-10
* https://swarm.workshop.perforce.com/jobs/HI-9

**2019/06/19**: HelixInstaller/MultiArch/2019.2/25723 (2019/06/19). Upgraded to use 2019.1 Helix Core executables, and made test suite enhancements.

**2019/05/02**: HelixInstaller/MultiArch/2019.2/25598 (2019/05/02). Changed default tarball for SDP installs.

**2019/04/12**: Helix Installer MultiArch/2019.2/25497. Bug fix so email settings take effect, and added MailFrom setting.

**2019/04/11**: Helix Installer MultiArchs/2019.2.25493. Parameterized setup. Changed default tarball for SDP installs.

**2019/03/21**: Helix Installer MultiArchs/2019.1.25392. Changed default tarball for SDP installs.

**2019/03/21**: Helix Installer MultiArchs/2019.1.25382. Changed default tarball for SDP installs. Added '-C' and '-c' flags to support generating and using config files.

**2019/03/08**: Helix Installer MultiArchs/2019.1.25324. Changed default tarball for SDP installs.

**2019/03/07**: Helix Installer MultiArchs/2019.1.25313. This update includes minor updates:
* Added support for handling firewalld.
* Added CentOS 7 to test suite.
* Adjusted to use 'ftp' user for Workshop.
* Ensure perforce user owns his his own home directory when newly created.
* Fixed doc typo in vagrant test suite operation command.

**2019/03/06**: Helix Installer MultiArch/2019.1.25285. This update addes connection to the Perforce Package Repository, making it easy to add Helix Swarm, the Git Connector, etc.

**2019/03/03**: Helix Installer MultiArch/2019.1.25250. This is a major version release 3.1.  Also Updated SDP to 2019.1, a new major SDP release.

**2019/02/22**: Helix Installer MultiArch/2019.1.25164. Updated SDP version, other test suite updates.

**2018/11/24**: Helix Installer MultiArch/2018.2.24912. Added login for sdp_reader.

**2018/11/14**: Helix Installer MultiArch/2018.2.24862. Updated for P4D 2018.2.

**2018/04/11**: Helix Installer MultiArch/2018.1.23873. Added openssl-devel to list of packages to install in preparation for running `reset_sdp.sh`.

**2018/04/11**: Helix Installer MultiArch/2018.1.23869. Added adding zlib-devel to list of packages to install in preparation for running `reset_sdp.sh`.

**2018/04/11**: Helix Installer MultiArch/2018.1.23866. Doc updates only, including adding rsync to list of packages to install in preparation for running `reset_sdp.sh`.

**2018/04/03**: Helix Installer MultiArch/2018.1.23826. Update to latest SPD Version

**2018/02/12**: Helix Installer MultiArch/2018.1.23597, Updated to latest SDP version.

**2018/01/19**: Helix Installer MultiArch/2018.1.23512. Tweaked to simplify running a series of installs while re-using the Downloads dir, acquiring an updated SDP tarfile from the FTP server if needed. Update to latest SDP.

**2017/12/08**: HelixInstaller/MultiArch/2017.4/23363. Enhanced workflow for running a series of trials re-using the downloads dir, acquiring a new SDP tar file
only if needed.

**2017/12/08**: HelixInstaller/MultiArch/2017.4/23359, updated to current SDP.

**2017/12/05**: HelixInstaller/MultiArch/2017.4/23333, updated to current SDP.

**2017/11/29**: HelixInstaller/MultiArch/2017.4/23281, doc update only.

**2017/11/22**: HelixInstaller/MultiArch/2017.4/23243, added support for testing shelved changelists from the SDP dev branch.

**2016/05/04**: HelixInstaller/MultiArch/2016.1/19263, first formal release.

**2015/04/04**: Broke ground on the Helix Installer project in The Workshop, change [@12333](https://swarm.workshop.perforce.com/changes/12333).  (The actual start of the project was a few years earlier; there is no formal history trail prior to The Workshop.)

## For More Information
For more information on jobs, commits, change history details, etc, see:
[https://swarm.workshop.perforce.com/projects/perforce_software-helix-installer](https://swarm.workshop.perforce.com/projects/perforce_software-helix-installer)

